#### 查看linux内核或版本几种方法
uname -r
lsb_release -a
cat /etc/redhat-release

#### 查看哪些端口被打开
netstat -anp

#### 查看是否打开8080端口
netstat -anp | grep 8080

#### 查IP地址
ifconfig

#### tar压缩文件 指定压缩目录 不压缩成gz，只tar格式 用-cvf
tar -zcvf jenkins.tar.gz /my/jenkins
#### tar解压文件 压缩文件的后缀是.tar，没有gz  用-xvf
cd / && tar -xzvf jenkins.tar.gz && rm -f jenkins.tar.gz 

####Windows免密码同步脚本到linux上  
####只需要在Windows上ssh-keygen生成公钥放在linux里的授权文件/root/.ssh/authorized_keys 重启service sshd restart生效

#### SSH生成密钥对 cat /root/.ssh/id_rsa为私钥, cat /root/.ssh/id_rsa.pub为公钥
ssh-keygen -t rsa
#### 建立授权文件authorized_keys  客户端的公钥给服务端建立信任连接
cat /root/.ssh/id_rsa.pub >> /root/.ssh/authorized_keys

#### SCP上传数据
scp -i id_rsa -r /data root@remote_ip:/tmp/

#### SCP下载数据
scp -i id_rsa  -r root@remote_ip:/tmp/  /data

#### 添加定时执行计划表
crontab -e　
#### 查看定时任务列表
crontab -l
#### 重启定时任务服务
service crond restart
#### 如果定时任务执行失败通过以下命令查看任务日志
tail -f /var/log/cron

#### 查看虚拟网络，其中 bridge 是 Docker 默认使用的虚拟网络
docker network inspect bridge
