package com.anplus.admincontrol.common.controller;

import com.anplus.admincontrol.common.service.CommonFileService;
import com.core.result.Result;
import com.core.result.ResultGenerator;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Author wangning
 * @Date 2019-10-17 16:27
 * @Email 1151089590@qq.com
 * @Description:
 */
@RestController
@RequestMapping(value = "common/upload")
public class CommonFileController {

    @Autowired
    private CommonFileService commonFileService;

    @ResponseBody
    @RequestMapping(value = "/file/{business}/{type}", method = RequestMethod.POST)
    public Result uploadAttachment(@RequestParam("file") MultipartFile file, @PathVariable String business, @PathVariable String type) throws Exception {
        return ResultGenerator.success(commonFileService.upload(file, type, business), "上传文件");
    }
}
