package com.anplus.admincontrol.common.dto;

import com.dao.model.sys.SysBusiness;
import com.dao.model.sys.SysBusinessOperate;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Author wangning
 * @Date 2019-10-10 8:45
 * @Email 1151089590@qq.com
 * @Description:
 */
@Data
public class SysBusinessTree {

    public SysBusinessTree() {
    }

    public SysBusinessTree(SysBusiness sysBusiness) {
        this.id = sysBusiness.getId();
        this.code = sysBusiness.getCode();
        this.name = sysBusiness.getName();
        this.parentId = sysBusiness.getParentId();
        this.parentName = sysBusiness.getParentName();
        this.icon = sysBusiness.getIcon();
        this.vrPath = sysBusiness.getVrPath();
        this.vrName = sysBusiness.getVrName();
        this.vrRedirect = sysBusiness.getVrRedirect();
        this.vrComponentPath = sysBusiness.getVrComponentPath();
        this.vrKeepAlive = sysBusiness.getVrKeepAlive();
        this.showInMenu = sysBusiness.getShowInMenu();
        this.showOrder = sysBusiness.getShowOrder();
        this.version = sysBusiness.getVersion();
        this.deleted = sysBusiness.getDeleted();
        this.ctDate = sysBusiness.getCtDate();
    }

    private Long id;
    private String code;
    private String name;
    private Long parentId;
    private String parentName;
    private String icon;
    private String vrPath;
    private String vrName;
    private String vrRedirect;
    private String vrComponentPath;
    private Boolean vrKeepAlive;
    private Boolean showInMenu;
    private Integer showOrder;
    private Long version;
    private Byte deleted;
    private Date ctDate;

    private List<SysBusinessTree> children;

    private List<SysBusinessOperate> sysBusinessOperateList;


}
