package com.anplus.admincontrol.controller.sys.vo;

import com.anplus.admincontrol.common.dto.SysMenuTree;
import com.dao.model.sys.SysBusinessOperate;
import com.dao.model.sys.SysUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author wangning
 * @Date 2019-10-09 17:04
 * @Email 1151089590@qq.com
 * @Description:
 */
@ApiModel(description = "当前登录用户信息")
@Data
public class SysUserLoginInfoVO {

    @ApiModelProperty(value = "当前登录用户")
    private SysUser sysUser;

    @ApiModelProperty(value = "菜单")
    private List<SysMenuTree> menuList;

    @ApiModelProperty(value = "操作资源")
    private List<SysBusinessOperate> optResList;

}
