package com.anplus.admincontrol.mapper.sys;

import com.dao.common.Mapper;
import com.dao.model.sys.SysBusiness;
import com.dao.model.sys.SysBusinessOperate;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysBusinessOperateMapper extends Mapper<SysBusinessOperate> {

    List<SysBusinessOperate> getBusOptByUserId(long userId);

    List<SysBusinessOperate> getByBusinessId(Long id);

    List<SysBusinessOperate> getBusOptByBusinessIds(@Param("list")List<SysBusiness> businessList);

    int deleteBatch(@Param("ids") Long[] ids);
}
