package com.anplus.admincontrol.mapper.sys;

import com.dao.common.Mapper;
import com.dao.model.sys.SysBusinessOperateResource;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysBusinessOperateResourceMapper extends Mapper<SysBusinessOperateResource> {
    /**
     * 根据用户名查询所有用户权限
     * @param username
     * @return java.util.List<com.dao.model.sys.SysBusinessOperateResource>
     * @author wangning
     * @date 2019-10-12 11:47
     */
    List<SysBusinessOperateResource> selectByUserName(String username);

    List<SysBusinessOperateResource> getByOperateId(Long id);

    void deleteBatch(@Param("ids") Long[] ids);

    void delByOperates(@Param("ids")Long[] ids);

}
