package com.anplus.admincontrol.mapper.sys;

import com.dao.common.Mapper;
import com.dao.model.sys.SysCodeDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysCodeDetailMapper extends Mapper<SysCodeDetail> {

    List<SysCodeDetail> getCodeByTypes(@Param("types") String[] types);

    void updateTypeCode(@Param("newCode") String newCode, @Param("oldCode") String oldCode);

    /**
     * 查询通用代码详情
     *
     * @param codeType
     * @return
     */
    List<SysCodeDetail> getSysCodeDetailList(String codeType);

}
