package com.anplus.admincontrol.mapper.sys;

import com.constants.RedisKeys;
import com.dao.model.sys.SysUser;
import org.apache.ibatis.annotations.Param;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;

/**
 * @Author wangning
 * @Date 2019-10-14 9:17
 * @Email 1151089590@qq.com
 * @Description:
 */
public interface SysUserCacheMapper {

    @CacheEvict(value = RedisKeys.SYS_USER_DIR, key = "#p0")
    int deleteByPrimaryKey(@Param("username") String username, @Param("id") Integer id);

    @Cacheable(value = RedisKeys.SYS_USER_DIR, key = "#p0", unless = "#result == null")
    SysUser getByUserName(String username);

    @CacheEvict(value = RedisKeys.SYS_USER_DIR, key = "#p0.username")
    void updateByPrimaryKey(SysUser record);
}
