package com.anplus.admincontrol.service.project;

import com.anplus.admincontrol.mapper.project.ZtProjectBusinessMapper;
import com.dao.common.AbstractMapperService;
import com.dao.model.zt.ZtProject;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author 商天翔
 * @date 2021-03-04 14:39
 * ZtProjectService服务类
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class ZtProjectService extends AbstractMapperService<ZtProject> {

    @Resource
    private ZtProjectBusinessMapper ztProjectBusinessMapper;

    public List<Map<String, Object>> getSelectable() {
        return ztProjectBusinessMapper.getSelectable();
    }

}
