package com.common.aliyun;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
@ToString
@ApiModel
public class AfsDTO {
    @NotEmpty
    @ApiModelProperty("sessionId")
    private String sessionId;
    @NotEmpty
    @ApiModelProperty("sig")
    private String sig;
    @NotEmpty
    @ApiModelProperty("token")
    private String token;
    @ApiModelProperty(hidden = true)
    private String ip;
}
