package com.dao.mapper;


import com.dao.common.Mapper;
import com.dao.model.base.BaseErrorLog;
import com.dao.model.base.dto.BaseErrorLogPageDTO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;
import org.springframework.context.annotation.Primary;

@Primary
public interface CommonErrorLogMapper extends Mapper<BaseErrorLog> {
    /**
     * 获取分页列表
     *
     * @param param
     * @return com.github.pagehelper.Page<com.dao.model.base.BaseErrorLog>
     * @author linxianghua
     * @date 2019/10/12 10:45
     */
    Page<BaseErrorLog> getPage(@Param("param") BaseErrorLogPageDTO param);
}
