package com.test.util;

import com.core.security.jwt.JwtManager;
import com.test.BaseTest;
import org.junit.Test;

import java.util.Map;

/**
 * @author 潘维吉
 * @date 2019-03-09 8:47
 */
//@Ignore
public class JwtTest extends BaseTest {
    /**
     * 测试 生成和解析JWT
     */
    @Test
    public void test() {
        // 注意application.yaml文件里的secret，issuer等配置 根据配置生成不同的token值
        String token = JwtManager.createToken(Map.of("userId", 1));
        System.out.println(token);

        System.out.println(JwtManager.parseToken(token));
        System.out.println(JwtManager.isExpired(token));
        System.out.println(JwtManager.parseToken(token).getSubject());
        System.out.println(JwtManager.getExpirationTime(token));

    }
}
