# 主子记录列表一条sql实现写法
select bp.id,
       bp.content,
       CONCAT('[', convert(GROUP_CONCAT(
               distinct JSON_OBJECT('id', bpc.id, 'content', bpc.content) ORDER BY bpc.id ASC), char), ']') as items
from bbs_post bp
         inner join (select * from bbs_post_comment where post_id = 56 order by ct_date desc limit 2) bpc
                    on bp.id = bpc.post_id
group by bp.id;

# Mybatis like查询的写法
# select * from community where name like "%"#{name}"%"

# MySQL写的顺序: select ... from... where.... group by... having... order by... limit [offset,] (rows)
# MySQL执行顺序: from... where...group by... having.... select ... order by... limit
