package com.anplus.admincontrol.common.dto;

import com.dao.model.sys.SysBusiness;
import lombok.Data;

import java.util.List;

/**
 * @Author wangning
 * @Date 2019-10-09 17:06
 * @Email 1151089590@qq.com
 * @Description:
 */
@Data
public class SysMenuTree {
    public SysMenuTree() {
    }

    public SysMenuTree(SysBusiness business) {
        this.path = business.getVrPath();
        this.name = business.getVrName();
        this.title = business.getName();
        this.redirect = business.getVrRedirect();
        this.icon = business.getIcon();
        this.componentPath = business.getVrComponentPath();
        this.hidden = business.getShowInMenu() == null ? false : !business.getShowInMenu();
        this.keepAlive = business.getVrKeepAlive() == null ? false : business.getVrKeepAlive();

    }

    private String path;
    private String name;
    private String title;
    private String redirect;
    private String icon;
    private String componentPath;
    private boolean hidden;
    private boolean keepAlive;
    private List<SysMenuTree> children;

}
