package com.anplus.admincontrol.config;

import com.anplus.admincontrol.annotation.user.CurrentUserResolver;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.util.List;

/**
 * @Author wangning
 * @Date 2019-10-21 15:35
 * @Email 1151089590@qq.com
 * @Description:
 */
@Configuration
public class AdminConfig implements WebMvcConfigurer {
    @Autowired
    private CurrentUserResolver currentUserResolver;

    /**
     * 添加参数解析器
     */
    @Override
    public void addArgumentResolvers(List<HandlerMethodArgumentResolver> argumentResolvers) {
        argumentResolvers.add(currentUserResolver);
    }

}
