package com.anplus.admincontrol.controller.login;


import com.anplus.admincontrol.annotation.user.CurrentUser;
import com.anplus.admincontrol.common.service.MenuService;
import com.core.result.Result;
import com.core.result.ResultGenerator;
import com.dao.model.sys.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author wangning
 * @Date 2019-10-09 15:21
 * @Email 1151089590@qq.com
 * @Description:
 */
@RestController
@RequestMapping("/")
@Validated
public class LoginController {

    @Autowired
    private MenuService menuService;

    @PostMapping("login")
    public String login() {
        return "";
    }

    @GetMapping("user/login/info/")
    public Result getUserLoginInfo(@CurrentUser SysUser user) {
        return ResultGenerator.success(menuService.getUserLoginInfo(user), "获取用户信息及菜单");
    }


}
