package com.anplus.admincontrol.controller.progress;

import com.anplus.admincontrol.controller.progress.vo.ProgressVO;
import com.anplus.admincontrol.service.progress.ProgressService;
import com.core.result.Result;
import com.core.result.ResultGenerator;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.text.ParseException;
import java.util.List;

@RestController
@RequestMapping("/progress")
public class ProgressControlller {

    @Resource
    ProgressService progressService;

    @GetMapping("/list")
    public Result getProgressList() throws ParseException {
        List<ProgressVO> progressVOList = progressService.getProgress();
        return ResultGenerator.success(progressVOList, "获取进度列表");
    }
}
