package com.anplus.admincontrol.controller.project;

import com.anplus.admincontrol.service.project.ZtProjectService;
import com.core.result.Result;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

import static com.core.result.ResultGenerator.success;

/**
 * @author 商天翔
 * @date 2021-03-04 14:39
 * ZtProjectController控制类
 */
@RestController
@RequestMapping("/projects")
@Validated
public class ZtProjectController {

    @Resource
    private ZtProjectService ztProjectService;

    @GetMapping("/selectable")
    public Result<List<Map<String, Object>>> getSelectable() {
        return success(ztProjectService.getSelectable());
    }


}
