package com.anplus.admincontrol.controller.report.vo;

import lombok.*;

import java.math.BigDecimal;
import java.util.List;

@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ProjectCostReportVO {
    private String key;
    private Long projectId;
    private Long userId;
    private String name;
    private String projectName;
    private String userName;
    private BigDecimal hours;
    private BigDecimal baseHoursCost;
    private BigDecimal floatHoursCost;
    private List<ProjectCostReportVO> children;
}