package com.anplus.admincontrol.controller.sys.dto;

import com.dao.model.sys.SysCodeDetail;
import com.dao.model.sys.SysCodeType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author linxianghua
 * @Date 2019/10/1516:16
 * @Email 406235635@qq.com
 * @Description:
 */
@ApiModel(value = "SysCodeSaveDTO", description = "通用代码保存")
@Data
public class SysCodeSaveDTO {
    @ApiModelProperty(value = "代码主表")
    private SysCodeType sysCodeType;
    @ApiModelProperty(value = "需更新代码项")
    private List<SysCodeDetail> updateList;
    @ApiModelProperty(value = "新增代码项")
    private List<SysCodeDetail> insertList;
    @ApiModelProperty(value = "删除代码项")
    private List<Integer> delIdList;
}
