package com.anplus.admincontrol.mapper.report;

import com.anplus.admincontrol.controller.report.dto.ProjectCostReportDTO;
import com.anplus.admincontrol.controller.report.dto.StaffDailyReportDTO;
import com.anplus.admincontrol.controller.report.vo.ProjectCostReportVO;
import com.anplus.admincontrol.controller.report.vo.StaffDailyReportVO;
import com.anplus.admincontrol.controller.report.vo.UserInfoVO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface ReportMapper {

    List<StaffDailyReportVO> getStaffDailyReport(@Param("params") StaffDailyReportDTO params, @Param("separator") String separator);

    List<ProjectCostReportVO> getProjectCostReport(@Param("params") ProjectCostReportDTO params);

    BigDecimal getYearWorkHours();

    List<UserInfoVO> getUserInfo();
}
