package com.anplus.admincontrol.mapper.sys;

import com.anplus.admincontrol.controller.sys.dto.SysCodePageDTO;
import com.dao.common.Mapper;
import com.dao.model.sys.SysCodeType;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

/**
 * @author linxianghua
 * @author linxianghua
 * @date 2019/10/12 10:45
 */
public interface SysCodeTypeMapper extends Mapper<SysCodeType> {
    /**
     * 获取分页列表
     *
     * @param param
     * @return com.github.pagehelper.Page<com.dao.model.sys.SysCodeType>
     * @author linxianghua
     * @date 2019/10/12 10:45
     */
    Page<SysCodeType> getPage(@Param("param") SysCodePageDTO param);

    /**
     * 查询重复
     *
     * @param id
     * @param code
     * @return int
     * @author linxianghua
     * @date 2019/10/14 17:10
     */
    int getRepeat(@Param("id") Long id, @Param("code") String code);

}
