package com.anplus.admincontrol.mapper.sys;

import com.dao.common.Mapper;
import com.dao.model.sys.SysRoleOperate;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author lxh
 */
public interface SysRoleOperateMapper extends Mapper<SysRoleOperate> {
    /**
     * 批量插入操作
     * @param roleId
     * @param saveOperatedList
     * @return
     */
    int insertBatch(@Param("roleId") Long roleId, @Param("saveOperatedList") List<Integer> saveOperatedList);

    /**
     * 删除操作
     * @param ids
     * @return void
     * @author linxianghua
     * @date 2019/11/14 11:38
     */
    void delByOperates(@Param("ids")Long[] ids);
}
