package com.anplus.admincontrol.service.sys;

import com.anplus.admincontrol.mapper.sys.SysRoleOperateMapper;
import com.dao.common.AbstractMapperService;
import com.dao.model.sys.SysRoleOperate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @author wangning
 * @date 2019-10-11 09:02
 * SysRoleOperateService服务类
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class SysRoleOperateService extends AbstractMapperService<SysRoleOperate> {

    @Resource
    private SysRoleOperateMapper sysRoleOperateMapper;

    public void delByOperates(Long[] ids) {
        sysRoleOperateMapper.delByOperates(ids);
    }
}
