package com.constants;

/**
 * @author liming
 * @date 2019/12/16 16:20
 * @email lmmax@126.com
 * @Description:
 */
public class CodeConstants {
    /**
     * 通用代码类型 1，系统默认；2，自定义
     */
    public final static String SYS_CODE_TYPE = "SYS0001";
    /**
     * 启用状态  1 启用 2,禁用
     */
    public final static String SYS_AVAILABLE_STATUS = "SYS0002";

    /**
     * 逻辑删除状态常量 常量 ${@com.constants.CodeConstants$DeletedStatus@UNDELETED}
     */
    public class DeletedStatus {
        public static final byte UNDELETED = 0;
        public static final byte DELETED = 1;
    }

    /**
     * 使用状态常量
     */
    public class AvailableStatus {
        public final static int DISABLE = 0;
        public final static int AVAILABLE = 1;
    }

    /**
     * 节假日类型 1.节假日，2双休日
     */
    public final static String HOLIDAY_TYPE= "SYS0005";

    public class HolidayType{
        public final static int  HOLIDAY= 1;
        public final static int  WEEKEND= 2;
    }
}
