package com.core.util.eventbus;

import lombok.*;

/**
 * @author 潘维吉
 * @date 2018-11-07
 * 自定义EventBus消息发布订阅传输对象
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@ToString
public class EventBusData<T> {

    private String key; //消息关键字key
    private T data; //消息的内容对象
    private String msg = "EventBus发布的消息"; //消息的说明

    public EventBusData(String key, T data) {
        this.key = key;
        this.data = data;
    }
}
