package com.dao.mapper.holidays;

import com.dao.common.Mapper;
import com.dao.model.holidays.Holidays;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

public interface HolidaysMapper extends Mapper<Holidays> {

    /**
     * 在日期范围的数量
     * @param startDate
     * @param endDate
     * @return
     */
    Integer holidaysOverlap(@Param("startDate") Date startDate,@Param("endDate")  Date endDate,@Param("holidayId") Long holidayId);
}