package com.test;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.freemarker.FreeMarkerAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;

/**
 * @author 潘维吉
 * @date 2019-09-26
 */
@SpringBootApplication(exclude = {FreeMarkerAutoConfiguration.class})
@ComponentScan({"com.core", "com.common", "com.dao", "com.test"})
public class TestApplication {

    public static void main(String[] args) {
        SpringApplication.run(TestApplication.class, args);
    }

}
