package com.test.util;

import com.test.BaseTest;
import org.jasypt.encryption.StringEncryptor;
import org.junit.Test;

import javax.annotation.Resource;

/**
 * @author 潘维吉
 * @date 2019-07-18 15:39
 * 用户密码加密 如数据库连接等
 */
public class JasyptTest extends BaseTest {

    //注入StringEncryptor
    @Resource
    private StringEncryptor encryptor;

    /**
     * 加密数据库连接信息
     * 每次加密的返回结果都不一样  那次结果值都一样
     * application.yaml中配置密钥和加密后的信息即可
     */
    @Test
    public void encry() {
        //加密密码
        String password = encryptor.encrypt("antaikeji2019");
        System.out.println(password);

        //解密
        // System.out.println(encryptor.decrypt("));
    }
}
